Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  NX
  Mehrere Zeichnungen aktualisieren

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Mehrere Zeichnungen aktualisieren (189 mal gelesen)
Martin von Schmidt
Mitglied
Dr. Dipl. Ing.

Sehen Sie sich das Profil von Martin von Schmidt an!   Senden Sie eine Private Message an Martin von Schmidt  Schreiben Sie einen Gästebucheintrag für Martin von Schmidt

Beiträge: 5
Registriert: 05.07.2018

Win 7 6.1.7601
NX11.0.2.7
x64
phy. Speicher 16GB
virtueller Speicher 24GB

erstellt am: 05. Jul. 2018 13:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Zusammen,
ich lese seit einiger Zeit viele Beiträge und bin von der Ausführlichkeit sehr angetan.

Ich habe auch eine Frage:

"Ist es Möglich, mehrere Zeichnungen in NX zu laden und sozusagen als Stapelverarbeitung eine nach der anderen Zeichnung aktualisieren zu lassen. Dabei geht es um die dort enthaltenen Ansichten"

Danke.  

------------------
Kleingeister halten Ordnung,
Genies überblicken das Chaos und
Ingenieure fliegen ins  All.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

FelixM
Ehrenmitglied V.I.P. h.c.
Dipl.- Ing. Schiffbau


Sehen Sie sich das Profil von FelixM an!   Senden Sie eine Private Message an FelixM  Schreiben Sie einen Gästebucheintrag für FelixM

Beiträge: 2291
Registriert: 17.05.2004

erstellt am: 05. Jul. 2018 14:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Martin von Schmidt 10 Unities + Antwort hilfreich

Hallo Martin,

das geht sogar ohne NX direkt zu starten. Dazu benötigst du nur ein kleines VB und ein Batch was etwa so aussieht:

...\run_journal.exe "...\update_dwg_views.vb" -args "....\NAME.prt"

Run_journal.exe ist im Lieferumfang von NX enthalten. Das VB ist mal von jemandem von UGS geschrieben worden. Müsste hier noch irgendwo im Forum rumgeistern (glaube ich).

Wenn man dann noch eine Registry Einstellung mach, kann man sogar im Explorer mit RMB Zeichnungen von NX updaten.

Grüße
Felix

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Martin von Schmidt
Mitglied
Dr. Dipl. Ing.

Sehen Sie sich das Profil von Martin von Schmidt an!   Senden Sie eine Private Message an Martin von Schmidt  Schreiben Sie einen Gästebucheintrag für Martin von Schmidt

Beiträge: 5
Registriert: 05.07.2018

Win 7 6.1.7601
NX11.0.2.7
x64
phy. Speicher 16GB
virtueller Speicher 24GB

erstellt am: 06. Jul. 2018 10:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ja, danke für die Idee.
Im Groben sieht das VB so aus.

Imports System
Imports NXOpen

Module NXJournal
Sub Main (ByVal args() As String)

Dim theSession As NXOpen.Session = NXOpen.Session.GetSession()
Dim workPart As NXOpen.Part = theSession.Parts.Work

Dim displayPart As NXOpen.Part = theSession.Parts.Display

Dim markId1 As NXOpen.Session.UndoMarkId = Nothing
markId1 = theSession.SetUndoMark(NXOpen.Session.MarkVisibility.Visible, "Update Views")

workPart.Views.WorkView.UpdateCustomSymbols()

End Sub
End Module

was kommt hinter args? siehe bild

------------------
Kleingeister halten Ordnung,
Genies überblicken das Chaos und
Ingenieure fliegen ins  All.

[Diese Nachricht wurde von Martin von Schmidt am 06. Jul. 2018 editiert.]

[Diese Nachricht wurde von Martin von Schmidt am 06. Jul. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mseufert
Ehrenmitglied V.I.P. h.c.
Freiberuflicher CAD/CAM Ingenieur


Sehen Sie sich das Profil von mseufert an!   Senden Sie eine Private Message an mseufert  Schreiben Sie einen Gästebucheintrag für mseufert

Beiträge: 2311
Registriert: 18.10.2005

HP Z420
WIN XP32 / WIN7 64
UG NX6-11
SUN Ultra 60
Solaris 7
CADDS5
3D Printer Prusa MK2 S

erstellt am: 06. Jul. 2018 12:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Martin von Schmidt 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Martin von Schmidt:
was kommt hinter args? siehe bild

Hallo Martin,

hinter -args sollte in jedem Fall ein Blank stehen, danach das zu übergebende Argument. Das dürfte dann ein Part, eine Baugruppe oder auch ein Verzeichnis mit Parts und BG's sein. Was genau da rein gehört, lässt sich dem Journal entnehmen. Das oder die Argumente werden and die Sub Main übergeben und sollten dort ausgewertet werden.
Ist das Journal gut gemacht, ist es dort dokumentiert.

Gruß, Michael

------------------
Ein Mensch wird laut, wenn er was will;
wenn er's erst hat, dann wird er still;
Das "Danke" ist, nach alter Sitte,
Weit selt'ner als das "Bitte, Bitte".

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz